Subject: [DMVR] Back issues of SportsCar - someone had wanted......

From: "Karl Thacker" <[email-masked]>
Date: Sun, 10 Apr 2005 20:57:38 -0500

Hello

I had offered by back issues of SportsCar late last year and with work I
lost track of whom it was.  I still have them if you want them- please email
me if you do.

Thanks
Karl Thacker